Message: Re: CMake error Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Re: CMake error  

Forum: Installation and Configuration
Re: Question CMake error "Timeout was reached" (with GEANT4_INSTALL_DATA=ON) (Ivana Hrivnacova)
Date: 15 Dec, 2011
From: Ben Morgan <Ben Morgan>

Hi Ivana,
On Tue, 13 Dec 2011 12:08:19 GMT, Ivana Hrivnacova wrote:
> Hi,
> 
> I am installing Geant4 9.5 on Ubuntu, with cmake 2.8.0 and I am getting
> error when downloading G4NDL.4.0.tar.gz:
> 
> CMake Error at /usr/physics/geant4/geant4.9.5_build/Externals/G4NDL-4.0/src/G4ND
> L-stamp/download-G4NDL.cmake:16 (message):
>   error: downloading 'http://geant4.cern.ch/support/source/G4NDL.4.0.tar.gz'
>   failed
> 
>     status_code: 28
>     status_string: "Timeout was reached"
>     log: About to connect() to geant4.cern.ch port 80 (#0)
>     Trying 128.142.194.40... connected
> 
>   Connected to geant4.cern.ch (128.142.194.40) port 80 (#0)
> 
>   GET /support/source/G4NDL.4.0.tar.gz HTTP/1.1
> 
> I did not find a way how to increase Timeout limit for this.

There isn't a direct way in 9.5 unfortunately. You would need to edit the file cmake/Modules/Geant4InstallData.cmake, and change the lines:

ExternalProject_Add(${_name} 
  URL ${_urlprefix}/${_fnam}.${_vers}.${_suffix}
  PREFIX Externals/${_fnam}-${_vers}
  SOURCE_DIR data/${_name}${_vers}
  CONFIGURE_COMMAND "" 
  BUILD_COMMAND "" 
  INSTALL_COMMAND ""
  )

to:

ExternalProject_Add(${_name} 
  URL ${_urlprefix}/${_fnam}.${_vers}.${_suffix}
  TIMEOUT seconds
  PREFIX Externals/${_fnam}-${_vers}
  SOURCE_DIR data/${_name}${_vers}
  CONFIGURE_COMMAND "" 
  BUILD_COMMAND "" 
  INSTALL_COMMAND ""
  )

where seconds should be the number of seconds to use for the timeout (e.g. 3600 for one hour).

We'll add an adjust timeout in svn as part of the Data updates feature set.

Cheers,

Ben.

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 Question: Re: CMake error   (Enrico Bagli - 18 May, 2012)
(_ None: Re: CMake error   (Ben Morgan - 18 May, 2012)
 Add Message Add Message
to: "Re: CMake error "

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]